#!/bin/bash

#===============================================================
# Version definitions of this package.
#===============================================================
# logmonsetup.sh info
OS_KIND=2
MAJOR_VER=4
RELEASE_VER=8.0
export SNV_VERSION=${OS_KIND}.${MAJOR_VER}.${RELEASE_VER}

## snvcli (snvcli + providers) package info
#export SNV_CLI_MAJOR_VER=4
#export SNV_CLI_RELEASE_VER=2.0
#export SNV_CLI_VERSION=${OS_KIND}.${SNV_CLI_MAJOR_VER}-${SNV_CLI_RELEASE_VER}
#
## snvupdtmngr (update manager) package info
#export SNV_UM_MAJOR_VER=4
#export SNV_UM_RELEASE_VER=2.0
#export SNV_UM_VERSION=${OS_KIND}.${SNV_UM_MAJOR_VER}-${SNV_UM_RELEASE_VER}
#
## snvpowermonitor package info
#export SNV_PCL_MAJOR_VER=4
#export SNV_PCL_RELEASE_VER=2.0
#export SNV_PCL_VERSION=${OS_KIND}.${SNV_PCL_MAJOR_VER}-${SNV_PCL_RELEASE_VER}
#
## hrn package info (Guest RHEL Only)
#export SNV_HRN_MAJOR_VER=12
#export SNV_HRN_RELEASE_VER=0.0
#export SNV_HRN_VERSION=${OS_KIND}.${SNV_HRN_MAJOR_VER}-${SNV_HRN_RELEASE_VER}

# logmonitor package info
export SNV_LM_MAJOR_VER=0920
export SNV_LM_RELEASE_VER=1
export SNV_LM_VERSION=${SNV_LM_MAJOR_VER}-${SNV_LM_RELEASE_VER}

#---------------------------------------------------------------
# Create new log file.
#---------------------------------------------------------------
export OS_KIND
#export SNV_PARENT_SHELL=`basename $0`
#export SNV_LOGDIR=/var/log/snv
#export SNV_LOGFILE=$SNV_LOGDIR/snv_setup.log
export SNVLM_PARENT_SHELL=`basename $0`
export SNVLM_PARENT_SHELL_PATH=`dirname $0`
export SNVLM_LOGDIR=/var/log/snvlm
export SNVLM_LOGFILE=$SNVLM_LOGDIR/snvlm_setup.log

#rm -f $SNV_LOGFILE 2>&1
#mkdir -p $SNV_LOGDIR >/dev/null 2>&1
#echo -n "" >$SNV_LOGFILE 2>&1
#rm -f $SNVLM_LOGFILE 2>&1
mkdir -p $SNVLM_LOGDIR >/dev/null 2>&1
if [ ! -e $SNVLM_LOGFILE ]; then
	echo -n "" >$SNVLM_LOGFILE 2>&1
fi

#---------------------------------------------------------------
# Get the CPU architecture.
#---------------------------------------------------------------
SNV_CPU_ARCH=
uname -i | grep -q "x86_64"
if [ $? -eq 0 ] ; then
	SNV_CPU_ARCH="x86_64"
else
	SNV_CPU_ARCH="i386"
fi
export SNV_CPU_ARCH

#---------------------------------------------------------------
# Get the Platform type and more.
#---------------------------------------------------------------
RHEL_INFO=/etc/redhat-release
VMA_INFO=/etc/vma-release

#IS_GUESTOS=100
IS_GUESTOS=1
which virt-what > /dev/null 2>&1
if [ $? -eq 0 ]; then
	IS_GUESTOS=1
	VMMACHINE=`virt-what`
	if [ ${#VMMACHINE} -ne 0 ]; then
#		echo "`date` virt-what: ${VMMACHINE}" >> $SNV_LOGFILE 2>&1
		echo "`date` virt-what: ${VMMACHINE}" >> $SNVLM_LOGFILE 2>&1
		if [ $VMMACHINE = "vmware" ]; then
			IS_GUESTOS=0
		fi
	fi
fi

# for debug option.
echo "$@" | grep -e "-force" > /dev/null 2>&1
if [ $? -eq 0 ]; then
	IS_GUESTOS=1
fi
#echo "`date` GUESTOS=${IS_GUESTOS}" >> $SNV_LOGFILE 2>&1
echo "`date` GUESTOS=${IS_GUESTOS}" >> $SNVLM_LOGFILE 2>&1

#---------------------------------------------------------------
# Execute sub shell.
#---------------------------------------------------------------
if [ -e $RHEL_INFO -a $IS_GUESTOS -eq 0 ]; then
	#** Guest RHEL **
#	/bin/sh $PWD/velrpms/velsetup.sh "$@"

	# debug
	echo /bin/sh $SNVLM_PARENT_SHELL_PATH/velrpms/velsetup.sh "$@" >> $SNVLM_LOGFILE 2>>$SNVLM_LOGFILE

	/bin/sh $SNVLM_PARENT_SHELL_PATH/velrpms/velsetup.sh "$@"
	RESULT=$?

elif [ -e $RHEL_INFO -a $IS_GUESTOS -eq 1 ]; then
	#** Real RHEL **
#	/bin/sh $PWD/elrpms/elsetup.sh "$@"

	# debug
	echo /bin/sh $SNVLM_PARENT_SHELL_PATH/elrpms/elsetup.sh "$@" >> $SNVLM_LOGFILE 2>>$SNVLM_LOGFILE

	/bin/sh $SNVLM_PARENT_SHELL_PATH/elrpms/elsetup.sh "$@"
	RESULT=$?

else
	echo -e 'The setup failed. (Please eject the CDROM.)\nThis OS is not supported.'
#	date >> $SNV_LOGFILE
	date >> $SNVLM_LOGFILE
#	echo "This OS is not supported. " >> $SNV_LOGFILE
	echo "This OS is not supported. " >> $SNVLM_LOGFILE

#	dmidecode -t system | grep -A 3 'System Information' >> $SNV_LOGFILE
	dmidecode -t system | grep -A 3 'System Information' >> $SNVLM_LOGFILE

	if [ ! -e $RHEL_INFO ]; then
#		echo " - $RHEL_INFO not found" >> $SNV_LOGFILE
		echo " - $RHEL_INFO not found" >> $SNVLM_LOGFILE
	fi
	RESULT=1
fi

exit $RESULT

