#!/bin/sh

catwithname()
{
	for FILE in $*
	do
		echo "******************** ${FILE} ********************"
		cat ${FILE} 2>&1
		echo ""
	done
}

SAVELANG=${LANG}
export LANG=C

catwithname /proc/mounts
catwithname /etc/fstab
#catwithname /etc/modprobe.conf
catwithname /boot/grub/grub.conf
catwithname /proc/devices
catwithname /proc/interrupts
catwithname /proc/ioports
#catwithname /proc/modules       # at OS::DRIVER
catwithname /proc/swaps
catwithname /proc/filesystems
catwithname /proc/version

# sar
#catwithname /var/log/sa/*
echo "******************** sar ********************"
sar 2>&1
echo ""
# ps
echo "******************** ps -ef ********************"
ps -ef 2>&1
echo ""
# daemon
echo "******************** chkconfig --list ********************"
chkconfig --list 2>&1
echo ""
# network
echo "******************** ifconfig -a ********************"
ifconfig -a 2>&1
echo ""
echo "******************** netstat -a ********************"
netstat -a 2>&1
echo ""
# files opened by processes
echo "******************** lsof ********************"
lsof 2>&1
echo ""
# RPM
echo "******************** rpm -qa ********************"
rpm -qa 2>&1
echo ""

export LANG=${SAVELANG}
